#!/usr/bin/env bash

BASEDIR=/etc/forgejo-actions

for container in "$BASEDIR"/Containerfile.*; do
	base=$(basename "$container")
	tag=${base#"Containerfile."}
	podman build -t "git.ctbk.de/infra/$tag" --cpu-quota 50000 -f "$container" $BASEDIR
	podman push "git.ctbk.de/infra/$tag"
done

# extra container tags and pushes for things that we don’t build, but need
podman pull data.forgejo.org/oci/alpine:latest
podman pull ghcr.io/catthehacker/ubuntu:act-24.04

podman tag data.forgejo.org/oci/alpine:latest git.ctbk.de/infra/alpine:latest
podman tag ghcr.io/catthehacker/ubuntu:act-24.04 git.ctbk.de/infra/ubuntu:act-24.04

podman push git.ctbk.de/infra/alpine:latest
podman push git.ctbk.de/infra/ubuntu:act-24.04
